/*
	$Id: SqlJoin.h 1177 2018-11-14 16:17:27Z john $

	This file is part of the RFC DAL.

	The RFC DAL is Copyright (c) 2004 - 2007, The 4c Company.

	The RFC DAL is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	The RFC DAL is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __SqlJoinInner_h__
#define __SqlJoinInner_h__

#include <librfcdal/SqlJoin.h>

namespace RfcDal
{
	class RFCDAL_EXPORT SqlJoinInner : public SqlJoin
	{
		public:
			SqlJoinInner();
			SqlJoinInner( const SqlJoin& join ); // To be deprecated
			SqlJoinInner( const SqlJoinInner& join );
			SqlJoinInner( const SqlTable& table, const SqlConditionPtr& condition );
			virtual ~SqlJoinInner();

			const SqlJoinInner& operator=( const SqlJoinInner& join );

			virtual std::string toSql( const SqlLanguage& language, const SqlAliasSet& aliasS = SqlAliasSet(), Context context = ctxDefault ) const;
	};
};

#endif /* !__SqlJoinInner_h__ */
